logilab-common #241807 unittest_compat.Py25CompatTC breaks test suite with Python 3.4 [validation pending]

A first test of unittest_compat.Py25CompatTC (which currently happens to be test_all()) passes.
A second test of unittest_compat.Py25CompatTC (which currently happens to be test_any()) fails and breaks all later tests in all modules/classes.
tearDown() (run for first test) deletes logilab.common.compat module instance cached in sys.modules.
Next setUp() (run for second test) calls remove_builtins(), which removes builtins.any().
Next test_any() tries 'from logilab.common.compat import any', which fails, because importlib._bootstrap uses builtins.any() since Python 3.4.
It results in many "NameError: name 'any' is not defined" exceptions.
I think that these tests could be skipped with Python >=3.4.
I use logilab-common 0.61.0.
========================  unittest_compat.py  ========================
test_all (unittest_compat.Py25CompatTC) ... ok
test_any (unittest_compat.Py25CompatTC) ... unhandled exception occurred while testing unittest_compat
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 664, in _proceed
    testfunc(*args, **kwargs)
  File "/tmp/logilab-common-0.61.0/build/lib/logilab/common/test/unittest_compat.py", line 89, in test_any
    from logilab.common.compat import any
  File "", line 2214, in _find_and_load
  File "", line 2203, in _find_and_load_unlocked
  File "", line 1200, in _load_unlocked
  File "", line 742, in __exit__
NameError: name 'any' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 429, in testfile
    options=self.options, outstream=sys.stderr)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 765, in __init__
    testLoader=NonStrictTestLoader())
  File "/usr/lib64/python3.4/unittest/main.py", line 93, in __init__
    self.runTests()
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 828, in runTests
    return self._runTests()
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 873, in _runTests
    result = self.testRunner.run(self.test)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 956, in run
    test(result, runcondition=self._runcondition, options=self.options)
  File "/usr/lib64/python3.4/unittest/suite.py", line 87, in __call__
    return self.run(*args, **kwds)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1109, in _ts_run
    self._wrapped_run(result,runcondition=runcondition, options=options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1129, in _ts_wrapped_run
    test._wrapped_run(result, debug, runcondition=runcondition, options=options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/pytest.py", line 1134, in _ts_wrapped_run
    test(result, runcondition, options)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 594, in __call__
    status = self._proceed(result, testMethod)
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 677, in _proceed
    result.addError(self, self.__exc_info())
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 316, in addError
    super(SkipAwareTestResult, self).addError(test, err)
  File "/usr/lib64/python3.4/unittest/runner.py", line 67, in addError
    super(TextTestResult, self).addError(test, err)
  File "/usr/lib64/python3.4/unittest/result.py", line 17, in inner
    return method(self, *args, **kw)
  File "/usr/lib64/python3.4/unittest/result.py", line 114, in addError
    self.errors.append((test, self._exc_info_to_string(err, test)))
  File "/usr/lib64/python3.4/site-packages/logilab/common/testlib.py", line 278, in _exc_info_to_string
    frames = inspect.getinnerframes(tb)
  File "/usr/lib64/python3.4/inspect.py", line 1332, in getinnerframes
    framelist.append((tb.tb_frame,) + getframeinfo(tb, context))
  File "/usr/lib64/python3.4/inspect.py", line 1292, in getframeinfo
    filename = getsourcefile(frame) or getfile(frame)
  File "/usr/lib64/python3.4/inspect.py", line 574, in getsourcefile
    if any(filename.endswith(s) for s in all_bytecode_suffixes):
NameError: name 'any' is not defined
*******************************************************************************
prioritynormal
typebug
done in0.63.1
load left0.000
closed by<not specified>